# Uses of Class org.bukkit.material.Rails (Scissors-API 1.19-R0.1-SNAPSHOT API)
use: package: org.bukkit.material, class: Rails

# Uses of Class
org.bukkit.material.Rails

Packages that use Rails
Package
Description
org.bukkit.material
Classes that represents various voxel types and states.

## Uses of Rails in org.bukkit.material

Subclasses of Rails in org.bukkit.material
Modifier and Type
Class
Description
`class`
`DetectorRail`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`ExtendedRails`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`PoweredRail`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
Methods in org.bukkit.material that return Rails
Modifier and Type
Method
Description
`Rails`
Rails.`clone()`
Deprecated.